
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #584

The program 'audacious' received an X Window System error

November 02, 2015 03:50 - Mark Bartlett

Status: Rejected Start date: November 02, 2015

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.5.2   

Description

Xubuntu 15.10

Xorg  version: 1.17.2 (30 September 2015  09:08:47AM)

Kernal: 4.2.0-16-generic (#19-Ubuntu SMP Thu Oct 8 15:35:06 UTC 2015)

:~$ audacious

(audacious:17088): Gdk-ERROR **: The program 'audacious' received an X Window System error.

This probably reflects a bug in the program.

The error was 'BadMatch (invalid parameter attributes)'.

(Details: serial 338 error_code 8 request_code 154 (GLX) minor_code 5)

(Note to programmers: normally, X errors are reported asynchronously;

that is, you will receive the error a while after causing it.

To debug your program, run it with the GDK_SYNCHRONIZE environment

variable to change this behavior. You can then get a meaningful

backtrace from your debugger if you break on the gdk_x_error() function.)

Trace/breakpoint trap (core dumped)

History

#1 - November 02, 2015 14:38 - John Lindgren

We no longer support Audacious 3.5.2.  Please install Audacious 3.7-beta1 and see if the problem still exists.  If so, list steps to reproduce it.  Then do

what the error message said (everything following "To debug your program") and post the backtrace here.  Also, if possible, try to reproduce the

problem on a different machine (or in a virtual machine) to rule out video driver issues as a possible cause.

#2 - November 21, 2015 18:43 - John Lindgren

- Status changed from New to Rejected

Closing due to lack of response.
